Name: cucipop
Version: 1.31
Release: 7
Group: Networking/Daemons 
Source: ftp://ftp.informatik.rwth-aachen.de/pub/packages/cucipop/cucipop-1.31.tar.gz
Patch0: cucipop-1.31-pam.patch
Patch1: cucipop-1.31-segfault.patch
Patch2: cucipop-1.31-connection_limit.patch
Patch3: cucipop-1.31-pam-rhost.patch
Copyright: Shareware  
BuildRoot: /tmp/cucipop-build
Packager: Horms <horms@vergenet.net>
Summary: Cubic Circle's POP3 daemon 
Requires: chkconfig

%description
Cubic Circle's POP3 daemon has support for just about everything \
including APOP, UIDL, flexible authenication mechanisms including hooks for \
RADIUS and shadow. It can also be used as a standalone daemon for heavy POP \
traffic systems. It's fast and it's small. Please read the README for \
registration information. This one has Shadowsupport by default.


%prep

%setup
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{{usr/{sbin,man/man8}},var/lib/cucipop/bulletins,etc/{pam.d,rc.d/init.d}}
make ROOT_DIR=$RPM_BUILD_ROOT install

cd $RPM_BUILD_ROOT/usr/sbin/
ln -s cucipop ipop3d 

%post
/sbin/chkconfig --add cucipop

%preun
/sbin/chkconfig --del cucipop

%postun

%clean

%files
%doc FEATURES
%doc HISTORY
%doc INSTALL
%doc README
/usr/man/man8/cucipop.8
/usr/man/man8/makevpopdb.8
/usr/sbin/cucipop
/usr/sbin/ipop3d
/usr/sbin/makevpopdb
/var/lib/cucipop/bulletins
%config /etc/pam.d/cucipop
/etc/rc.d/init.d/cucipop


%changelog
* Wed Jan 12 2000 <horms@vergenet,net>
Added patch to set the pam RHOST iitem as submitted by
Stefanita Vilcu <vsv@dnt.ro>

* Thu Dec  9 1999 <horms@vergenet.net>
Wrote a patch to limit the maximum number of simultaneous connections
that cucipop will accept. The number is configurable through the 
command line and defaults to 0, no limit. Feature requested by
John Ferlito <johnf@zipworld.com.au>.

* Wed Nov 25 1999 <horms@vergenet.net>
Incorporated patch to avoid out-by-one sefgfault. Patch by
Dirk Nehring <dnehring@telemedia.de>, courtesey of 
Birger Toedtmann <toedtman@takatukaland.de>.
Copyright Notice: While cucipop itself is Shareware (of sorts, see licence
for details), the pam patch is under the GNU GPL and the segfault patch
is Freeware. The copyright for all code is held by their respective
authors, S.R. van den Berg for cucipop, Simon Horman for the 
PAM patch and Dirk Nehring for the segfault patch.

* Sat Jun  5 1999 <horms@vergenet.net>
Included makevpopdb

* Sat May  8 1999 <horms@vergenet.net>
Removed securetty from /etc/pam.d/cucipop. I have no idea how this got there

* Wed Dec 16 1998  Horms <horms@vergenet.net>
Fixed but with miss-linked init scripts 

* Fri Nov 20 1998  Horms <horms@vergenet.net>
Ported 1.31 to pam
